/*
    This is the include file "control.h" for the control panel
    part of the graphics program

                Updated 9/7/00

    SLFFEA source file
    Version:  1.1
    Copyright (C) 1999  San Le 

    The source code contained in this file is released under the
    terms of the GNU Library General Public License.
 
*/

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define scaleFactor           0.10               /* Scale down text by this amount */
#define textHeight           10                  /* Height of text */
#define textHeightDiv        15                  /* Vertical distance between text */
#define textWidth            10                  /* width of text */
#define textMove_x0          12.5*textWidth      /* Positions text horizontally for scale bar */
#define boxTextMove_x0       17*textWidth        /* Positions box horrizontally */
#define textDiv_xa0          5*textWidth         /* Division between toggle switch */
#define textDiv_xb0          11*textWidth        /* Horizontal distance between buttons */
#define boxHeight            3*textHeight        /* Horizontal distance between button and text */
#define boxdim               30                  /* size of 1 scale box */
#define boxnumber             8                  /* number of boxes in scale */
#define left_indent         6*textHeight         /* Color Scale Box distance from left magin */
#define bottom_indent       2*textHeight - 2     /* Text distance from bottom */

#define rowdim               45
#define control_width0      350    /* Initial width of control window */
#define control_height0     700    /* Initial height of control window */
#define mesh_width0         320    /* Initial width of mesh window */
#define mesh_height0        320    /* Initial height of mesh window */

#define BIG                 1.0e20
#define IBIG                1e20
#define SMALL               1.0e-20
#define SMALL2              1.0e-10

#define LINUX               1
#define WINDOWS             0
