/*
    This library function reads in additional strain
    data for the graphics program for truss elements.

		Updated 7/9/99

    SLFFEA source file
    Version:  1.1
    Copyright (C) 1999  San Le 

    The source code contained in this file is released under the
    terms of the GNU Library General Public License.
 
*/

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include "../truss/tsconst.h"
#include "../truss/tsstruct.h"

extern int dof, nmat, numel, numnp;

int tsreader_gr( FILE *o1, STRAIN *strain_node)
{
        int i,j,dum;
	char buf[ BUFSIZ ];
	char text;

        fgets( buf, BUFSIZ, o1 );
        fgets( buf, BUFSIZ, o1 );

        printf("strain for node: ");
        fscanf( o1,"%d",&dum);
        printf( "(%4d)",dum);
        while( dum > -1 )
        {
           fscanf( o1,"%lf ",&strain_node[dum].xx);
           printf(" %12.5e",strain_node[dum].xx);
           fscanf( o1,"\n");
           printf( "\n");
           printf("strain for node: ");
           fscanf( o1,"%d",&dum);
           printf( "(%4d)",dum);
        }
        printf( "\n\n");

        return 1;
}

